<?
if (!isset($user) && !isset($_GET['id_user'])){header("Location: /foto/?".SID);exit;}
if (isset($user))$ank['id']=$user['id'];
if (isset($_GET['id_user']))$ank['id']=intval($_GET['id_user']);$ank=get_user($ank['id']);
if (!$ank){header("Location: /foto/?".SID);exit;}

/* Бан пользователя */ 
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `ban` WHERE `razdel` = 'foto' AND `id_user` = '$user[id]' AND (`time` > '$time' OR `view` = '0' OR `navsegda` = '1')"), 0)!=0)
{
header('Location: /ban.php?'.SID);exit;
}

$gallery['id']=intval($_GET['id_gallery']);if (mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery` WHERE `id` = '$gallery[id]' AND `id_user` = '$ank[id]' LIMIT 1"),0)==0){header("Location: /foto/$ank[id]/?".SID);exit;}

$gallery=mysql_fetch_assoc(mysql_query("SELECT * FROM `gallery` WHERE `id` = '$gallery[id]' AND `id_user` = '$ank[id]' LIMIT 1"));$foto['id']=intval($_GET['id_foto']);if (mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery_foto` WHERE `id` = '$foto[id]' LIMIT 1"),0)==0){header("Location: /foto/$ank[id]/$gallery[id]/?".SID);exit;}

$foto=mysql_fetch_assoc(mysql_query("SELECT * FROM `gallery_foto` WHERE `id` = '$foto[id]'  LIMIT 1"));
/*
================================
Закладки
================================
*/
if (isset($_GET['fav']) && $_GET['fav'] == 1){ // Добавляем в закладки
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `mark_foto` WHERE `id_user` = '" . $user['id'] . "' AND `id_foto` = '" . $foto['id'] . "' LIMIT 1"),0) == 0){
mysql_query("INSERT INTO `mark_foto` (`id_foto`, `id_user`, `time`) VALUES ('$foto[id]', '$user[id]', '$time')");
$_SESSION['message'] = 'Фото добавлено в закладки'; 
header("Location: /foto/$ank[id]/$gallery[id]/$foto[id]/?page=".intval($_GET['page'])."");
exit;
}
}if (isset($_GET['fav']) && $_GET['fav'] == 0){ // Удаляем из закладок
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `mark_foto` WHERE `id_user` = '" . $user['id'] . "' AND `id_foto` = '" . $foto['id'] . "' LIMIT 1"),0) == 1){
mysql_query("DELETE FROM `mark_foto` WHERE `id_user` = '$user[id]' AND  `id_foto` = '$foto[id]' ");
$_SESSION['message'] = 'Фото удалено из закладок'; 
header("Location: /foto/$ank[id]/$gallery[id]/$foto[id]/?page=".intval($_GET['page'])."");
exit;
}
}/*
==================================
Приватность станички пользователя
==================================
*/
	$uSet = mysql_fetch_array(mysql_query("SELECT * FROM `user_set` WHERE `id_user` = '$ank[id]'  LIMIT 1"));
	$frend=mysql_result(mysql_query("SELECT COUNT(*) FROM `frends` WHERE (`user` = '$user[id]' AND `frend` = '$ank[id]') OR (`user` = '$ank[id]' AND `frend` = '$user[id]') LIMIT 1"),0);
	$frend_new=mysql_result(mysql_query("SELECT COUNT(*) FROM `frends_new` WHERE (`user` = '$user[id]' AND `to` = '$ank[id]') OR (`user` = '$ank[id]' AND `to` = '$user[id]') LIMIT 1"),0);
	

	
	
	
	
	if ($ank['id'] != $user['id'] && $user['group_access'] == 0)
{	if (($uSet['privat_str'] == 2 && $frend != 2) || $uSet['privat_str'] == 0) // Начинаем вывод если стр имеет приват настройки
	{
	
	$set['title']=$ank['nick'].' - '.htmlspecialchars($gallery['name']).' - '.htmlspecialchars($foto['name']); // заголовок страницы
	include_once '../sys/inc/thead.php';
	title();
	aut();
	
		if ($ank['group_access']>1)echo "<div class='err'>$ank[group_name]</div>\n";
		echo "<div class='nav1'>";
		echo group($ank['id'])." $ank[nick] ";
		echo medal($ank['id'])." ".online($ank['id'])." ";
		echo "</div>";		echo "<div class='nav2'>";
		avatar_ank($ank['id']);
		echo "</div>";	}
	
	
	if ($uSet['privat_str'] == 2 && $frend != 2) // Если только для друзей
	{
		echo '<div class="mess">';
		echo 'Просматривать фотографии пользователя могут только его друзья!';
		echo '</div>';
		
		// В друзья
		if (isset($user))
		{
			echo '<div class="nav1">';
			if ($frend_new == 0 && $frend==0){
			echo "<img src='/style/icons/druzya.png' alt='*'/> <a href='/user/frends/create.php?add=".$ank['id']."'>Добавить в друзья</a><br />\n";
			}elseif ($frend_new == 1){
			echo "<img src='/style/icons/druzya.png' alt='*'/> <a href='/user/frends/create.php?otm=$ank[id]'>Отклонить заявку</a><br />\n";
			}elseif ($frend == 2){
			echo "<img src='/style/icons/druzya.png' alt='*'/> <a href='/user/frends/create.php?del=$ank[id]'>Удалить из друзей</a><br />\n";
			}
			echo "</div>";
		}
	include_once '../sys/inc/tfoot.php';
	exit;
	}
	
	if ($uSet['privat_str'] == 0) // Если закрыта
	{
		echo '<div class="mess">';
		echo 'Пользователь запретил просматривать его фотографии!';
		echo '</div>';
		
	include_once '../sys/inc/tfoot.php';
	exit;
	}}	
	
	
/*
================================
Модуль жалобы на пользователя
и его сообщение либо контент
в зависимости от раздела
================================
*/
if (isset($_GET['spam'])  && isset($user))
{
$mess = mysql_fetch_assoc(mysql_query("SELECT * FROM `gallery_komm` WHERE `id` = '".intval($_GET['spam'])."' limit 1"));
$spamer = get_user($mess['id_user']);
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `spamus` WHERE `id_user` = '$user[id]' AND `id_spam` = '$spamer[id]' AND `razdel` = 'foto_komm' AND `spam` = '".$mess['msg']."'"),0)==0)
{
if (isset($_POST['msg']))
{
if ($mess['id_user']!=$user['id'])
{
$msg=mysql_real_escape_string($_POST['msg']);if (strlen2($msg)<3)$err='Укажите подробнее причину жалобы';
if (strlen2($msg)>1512)$err='Длина текста превышает предел в 512 символов';if(isset($_POST['types'])) $types=intval($_POST['types']);
else $types='0'; 
if (!isset($err))
{
mysql_query("INSERT INTO `spamus` (`id_object`, `id_user`, `msg`, `id_spam`, `time`, `types`, `razdel`, `spam`) values('$foto[id]', '$user[id]', '$msg', '$spamer[id]', '$time', '$types', 'foto_komm', '".my_esc($mess['msg'])."')");
$_SESSION['message'] = 'Заявка на рассмотрение отправлена'; 
header("Location: /foto/$ank[id]/$gallery[id]/$foto[id]/?spam=$mess[id]&page=".intval($_GET['page'])."");
exit;
}
}
}
}
$set['title']=$ank['nick'].' - '.htmlspecialchars($gallery['name']).' - '.htmlspecialchars($foto['name']); // заголовок страницы
include_once '../sys/inc/thead.php';
title();
aut();
err();if (mysql_result(mysql_query("SELECT COUNT(*) FROM `spamus` WHERE `id_user` = '$user[id]' AND `id_spam` = '$spamer[id]' AND `razdel` = 'foto_komm'"),0)==0)
{
echo "<div class='mess'>Ложная информация может привести к блокировке ника. 
Если вас постоянно достает один человек - пишет всякие гадости, вы можете добавить его в черный список.</div>";
echo "<form class='nav1' method='post' action='/foto/$ank[id]/$gallery[id]/$foto[id]/?spam=$mess[id]&amp;page=".intval($_GET['page'])."'>\n";
echo "<b>Пользователь:</b> ";
echo " ".status($spamer['id'])."  ".group($spamer['id'])." <a href=\"/info.php?id=$spamer[id]\">$spamer[nick]</a>\n";
echo "".medal($spamer['id'])." ".online($spamer['id'])." (".vremja($mess['time']).")<br />";
echo "<b>Нарушение:</b> <font color='green'>".output_text($mess['msg'])."</font><br />";
echo "Причина:<br />\n<select name='types'>\n";
echo "<option value='1' selected='selected'>Спам/Реклама</option>\n";
echo "<option value='2' selected='selected'>Мошенничество</option>\n";
echo "<option value='3' selected='selected'>Оскорбление</option>\n";
echo "<option value='0' selected='selected'>Другое</option>\n";
echo "</select><br />\n";
echo "Комментарий:$tPanel";
echo "<textarea name=\"msg\"></textarea><br />";
echo "<input value=\"Отправить\" type=\"submit\" />\n";
echo "</form>\n";
}else{
echo "<div class='mess'>Жалоба на <font color='green'>$spamer[nick]</font> будет рассмотрена в ближайшее время.</div>";
}echo "<div class='foot'>\n";
echo "<img src='/style/icons/str2.gif' alt='*'> <a href='?page=".intval($_GET['page'])."'>Назад</a><br />\n";
echo "</div>\n";
include_once '../sys/inc/tfoot.php';
exit;
}
/*
==================================
The End
==================================
*/


$IS = GetImageSize(H.'sys/gallery/foto/'.$foto['id'].'.'.$foto['ras'].'');
printf("", $IS[0], $IS[1]);
$w = $IS[0];
$h = $IS[1];
if ((user_access('foto_foto_edit')) || (isset($user) && $ank['id']==$user['id']))
include 'inc/gallery_show_foto_act.php';

/*------------очищаем счетчик этого обсуждения-------------*/
if (isset($user))
{
mysql_query("UPDATE `discussions` SET `count` = '0' WHERE `id_user` = '$user[id]' AND `type` = 'foto' AND `id_sim` = '$foto[id]' LIMIT 1");
}
/*---------------------------------------------------------*/

if (isset($user))
mysql_query("UPDATE `notification` SET `read` = '1' WHERE `type` = 'foto_komm' AND `id_user` = '$user[id]' AND `id_object` = '$foto[id]'");		
		
		/*
		==========================
		Оценка к фото
		==========================
		*/
		
		
if (isset($user) && $user['id'] != $ank['id'] && mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery_rating` WHERE `id_user` = '$user[id]' AND `id_foto` = '$foto[id]'"), 0) == 0)
{	if ( isset($_GET['rating']) && $_GET['rating'] > 0 && $_GET['rating'] < 7 ){
	
	
		$c = mysql_result(mysql_query("SELECT COUNT(*) FROM `user_set` WHERE `id_user` = '$user[id]' AND `ocenka` > '$time'"), 0);
		
			if ($c == 0 && $_GET['rating'] == 6){
			
				$_SESSION['message'] = 'Необходимо активировать услугу';
				header("Location: /user/money/plus5.php");
				exit;
				
			}
	
		mysql_query("INSERT INTO `gallery_rating` (`id_user`, `id_foto`, `like`, `time`, `avtor`) values('$user[id]', '$foto[id]', '" . intval($_GET['rating']) . "', '$time', $foto[id_user])",$db);
		mysql_query("UPDATE `gallery_foto` SET `rating` = '" . ($foto['rating'] + intval($_GET['rating'])) . "' WHERE `id` = '$foto[id]' LIMIT 1",$db);
		$_SESSION['message'] = 'Ваша оценка принята';
		header("Location: ?");
		exit;
	}}if (isset($_POST['msg']) && isset($user))
{
$msg=$_POST['msg'];
if (isset($_POST['translit']) && $_POST['translit']==1)$msg=translit($msg);$mat=antimat($msg);
if ($mat)$err[]='В тексте сообщения обнаружен мат: '.$mat;if (strlen2($msg)>1024){$err='Сообщение слишком длинное';}
elseif (strlen2($msg)<2){$err='Короткое сообщение';}
elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery_komm` WHERE `id_foto` = '$foto[id]' AND `id_user` = '$user[id]' AND `msg` = '".mysql_escape_string($msg)."' LIMIT 1"),0)!=0){$err='Ваше сообщение повторяет предыдущее';}
elseif(!isset($err)){		

		/*
		==========================
		Уведомления об ответах
		==========================
		*/
		if (isset($user) && $respons==TRUE){
		$notifiacation=mysql_fetch_assoc(mysql_query("SELECT * FROM `notification_set` WHERE `id_user` = '".$ank_otv['id']."' LIMIT 1"));
			
			if ($notifiacation['komm'] == 1 && $ank_otv['id'] != $user['id'])
			mysql_query("INSERT INTO `notification` (`avtor`, `id_user`, `id_object`, `type`, `time`) VALUES ('$user[id]', '$ank_otv[id]', '$foto[id]', 'foto_komm', '$time')");
		
		}
		
/*
====================================
Обсуждения
====================================
*/
$q = mysql_query("SELECT * FROM `frends` WHERE `user` = '".$gallery['id_user']."' AND `i` = '1'");
while ($f = mysql_fetch_array($q))
{
$a=get_user($f['frend']);
$discSet = mysql_fetch_array(mysql_query("SELECT * FROM `discussions_set` WHERE `id_user` = '".$a['id']."' LIMIT 1")); // Общая настройка обсужденийif ($f['disc_foto']==1 && $discSet['disc_foto']==1) /* Фильтр рассылки */
{
//---------друзьям автора--------------//
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `discussions` WHERE `id_user` = '$a[id]' AND `type` = 'foto' AND `id_sim` = '$foto[id]' LIMIT 1"),0)==0)
{
if ($a['id'] != $user['id'] || $a['id'] != $foto['id_user'])
mysql_query("INSERT INTO `discussions` (`id_user`, `avtor`, `type`, `time`, `id_sim`, `count`) values('$a[id]', '$gallery[id_user]', 'foto', '$time', '$foto[id]', '1')"); 
}
else
{$disc = mysql_fetch_array(mysql_query("SELECT * FROM `discussions` WHERE `id_user` = '$a[id]' AND `type` = 'foto' AND `id_sim` = '$foto[id]' LIMIT 1"));if ($gallery['id_user'] != $user['id'] || $a['id'] != $foto['id_user'])
mysql_query("UPDATE `discussions` SET `count` = '".($disc['count']+1)."', `time` = '$time' WHERE `id_user` = '$a[id]' AND `type` = 'foto' AND `id_sim` = '$foto[id]' LIMIT 1");}
//-------------------------------------//
}}

//-------------отправляем автору------------//
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `discussions` WHERE `id_user` = '$gallery[id_user]' AND `type` = 'foto' AND `id_sim` = '$foto[id]' LIMIT 1"),0)==0)
{
if ($gallery['id_user'] != $user['id'])
mysql_query("INSERT INTO `discussions` (`id_user`, `avtor`, `type`, `time`, `id_sim`, `count`) values('$gallery[id_user]', '$gallery[id_user]', 'foto', '$time', '$foto[id]', '1')"); 
}
else
{
$disc2 = mysql_fetch_array(mysql_query("SELECT * FROM `discussions` WHERE `id_user` = '$gallery[id_user]' AND `type` = 'foto' AND `id_sim` = '$foto[id]' LIMIT 1"));
if ($gallery['id_user'] != $user['id'])
mysql_query("UPDATE `discussions` SET `count` = '".($disc2['count']+1)."', `time` = '$time' WHERE `id_user` = '$gallery[id_user]' AND `type` = 'foto' AND `id_sim` = '$foto[id]' LIMIT 1");
}
		
		
mysql_query("INSERT INTO `gallery_komm` (`id_foto`, `id_user`, `time`, `msg`) values('$foto[id]', '$user[id]', '$time', '".my_esc($msg)."')");
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']+1)."' WHERE `id` = '$user[id]' LIMIT 1");mysql_query("UPDATE `user` SET `rating_tmp` = '".($user['rating_tmp']+1)."' WHERE `id` = '$user[id]' LIMIT 1");mysql_query("UPDATE `user` SET `rating_tmp` = '".($ank['rating_tmp']+1)."' WHERE `id` = '$ank[id]' LIMIT 1");
$_SESSION['message'] = 'Сообщение успешно добавлено';
header("Location: ?page=".intval($_GET['page'])."");
exit;
}
}


if ((user_access('foto_komm_del') || $ank['id'] == $user['id']) && isset($_GET['delete']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery_komm` WHERE `id`='".intval($_GET['delete'])."' AND `id_foto`='$foto[id]' LIMIT 1"),0)!=0)
{
mysql_query("DELETE FROM `gallery_komm` WHERE `id`='".intval($_GET['delete'])."' LIMIT 1");
admin_log('Фотогалерея','Фотографии', "Удаление комментария к фото [url=/info.php?id=$ank[id]]$ank[nick][/url]");
$_SESSION['message'] = 'Комментарий успешно удален';
header("Location: ?page=".intval($_GET['page'])."");
exit;
}

$rat=mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery_rating` WHERE `id_foto` = $foto[id] AND `like` = '6'"), 0); // +5 оценка 
$set['title']=$ank['nick'].' - '.htmlspecialchars($gallery['name']).' - '.htmlspecialchars($foto['name']); // заголовок страницы
include_once '../sys/inc/thead.php';
title();
err();
aut();




	
	
/*
* Если установлена приватность альбома
*/	
if ($gallery['privat'] == 1 && ($frend != 2 || !isset($user)) && $user['level'] <= $ank['level'] && $user['id'] != $ank['id'])
{
		echo '<div class="mess">';
		echo 'Просматривать альбом пользователя могут только его друзья!';
		echo '</div>';

	include_once '../sys/inc/tfoot.php';
	exit;
}elseif ($gallery['privat'] == 2 && $user['id'] != $ank['id'] && $user['level'] <= $ank['level']){

		echo '<div class="mess">';
		echo 'Пользователь запретил просмотр этого альбома!';
		echo '</div>';
		
	include_once '../sys/inc/tfoot.php';
	exit;
}






echo "<div class=\"foot\">\n";
echo "<img src='/style/icons/str2.gif' alt='*'> <a href='/id$ank[id]'>$ank[nick]</a> | \n";
echo "<a href='/foto/$ank[id]/'>Альбомы</a> | \n";
echo "<a href='/foto/$ank[id]/$gallery[id]/'>".htmlspecialchars($gallery['name'])."</a> | \n";
echo '<b>'.htmlspecialchars($foto['name']).'</b>';
if ($foto['metka'] == 1)echo ' <font color=red>(18+)</font>';
echo "</div>\n";
if (($user['abuld'] == 1 || $foto['metka'] == 0 || $foto['id_user'] == $user['id'])) // Метка 18+ 
{
echo "<div class=\"nav2\">\n";if ($webbrowser == 'web' && $w > 128)
{
echo "<a href='/foto/foto0/$foto[id].$foto[ras]' title='Скачать оригинал'><img style='max-width:90%' src='/foto/foto640/$foto[id].$foto[ras]'/></a>";
if ( $rat > 0 )echo "<div style='display:inline;margin-left:-45px;vertical-align:top;'><img style='padding-top:15px;' src='/style/icons/5_plus.png'/></div>";
}
else
{
echo "<a href='/foto/foto0/$foto[id].$foto[ras]' title='Скачать оригинал'><img src='/foto/foto128/$foto[id].$foto[ras]'/></a>";
if ( $rat > 0 )echo "<div style='display:inline;margin-left:-25px;vertical-align:top;'><img style='padding-top:10px;' src='/style/icons/6.png'/></div>";
}
echo "</div>\n";
/*
===============================
Оценка фото
===============================
*/
if (isset($user) && $user['id'] != $ank['id']){
echo "<div class=\"nav2\">\n";
if ($user['id']!=$ank['id'] &&  mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery_rating` WHERE `id_user` = '$user[id]' AND `id_foto` = '$foto[id]'"), 0)==0){
echo "<a href=\"?rating=6\" title=\"5+\"><img src='/style/icons/6.png' alt=''/></a>";
echo "<a href=\"?rating=5\" title=\"5\"><img src='/style/icons/5.png' alt=''/></a>";
echo "<a href=\"?rating=4\" title=\"4\"><img src='/style/icons/4.png' alt=''/></a>";
echo "<a href=\"?rating=3\" title=\"3\"><img src='/style/icons/3.png' alt=''/></a>";
echo "<a href=\"?rating=2\" title=\"2\"><img src='/style/icons/2.png' alt=''/></a>";
echo "<a href=\"?rating=1\" title=\"1\"><img src='/style/icons/1.png' alt=''/></a>";
}else{
$rate=mysql_fetch_assoc(mysql_query("SELECT * FROM `gallery_rating` WHERE `id_foto` = $foto[id] AND `id_user` = '$user[id]' LIMIT 1"));if (isset($user) && $user['id']!=$ank['id'])
echo "Ваша оценка <img src='/style/icons/$rate[like].png' alt=''/></a>";
}
echo "</div>\n";
}}elseif (!isset($user)){
echo '<div class="mess">';
echo '<img src="/style/icons/small_adult.gif" alt="*"><br /> Данный файл содержит изображения эротического характера. Только зарегистрированные пользователи старше 18 лет могут просматривать такие файлы. <br />';
echo '<a href="/aut.php">Вход</a> | <a href="/reg.php">Регистрация</a>';
echo '</div>';
}else{
echo '<div class="mess">';
echo '<img src="/style/icons/small_adult.gif" alt="*"><br /> 
	Данный файл содержит изображения эротического характера. 
	Если Вас это не смущает и Вам 18 или более лет, то можете <a href="?sess_abuld=1">продолжить просмотр</a>. 
	Или Вы можете отключить предупреждения в <a href="/user/info/settings.php">настройках</a>.';
	echo '</div>';
}
/*----------------------листинг-------------------*/
$listr = mysql_fetch_assoc(mysql_query("SELECT * FROM `gallery_foto` WHERE `id_user` = '$ank[id]' AND `id_gallery` = '$gallery[id]' AND `id` < '$foto[id]' ORDER BY `id` DESC LIMIT 1"));
$list = mysql_fetch_assoc(mysql_query("SELECT * FROM `gallery_foto` WHERE `id_user` = '$ank[id]' AND `id_gallery` = '$gallery[id]' AND `id` > '$foto[id]' ORDER BY `id`  ASC LIMIT 1"));
echo '<div class="c2" style="text-align: center;">';
echo "<span class='page'>".($list['id']?"<a href='/foto/$ank[id]/$gallery[id]/$list[id]/'>&laquo; Пред.</a>":"&laquo; Пред.")."</span>";
$k_1=mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery_foto` WHERE `id` > '$foto[id]' AND `id_gallery` = '$gallery[id]'"),0)+1;
$k_2=mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery_foto` WHERE `id_gallery` = '$gallery[id]'"),0);
echo ' ('.$k_1.' из '.$k_2.') ';
echo "<span class='page'>".($listr['id']?"<a href='/foto/$ank[id]/$gallery[id]/$listr[id]/'>След. &raquo;</a>":"След. &raquo;")."</span>";
echo "</div>\n";
/*----------------------alex-borisi---------------*/

if (($user['abuld'] == 1 || $foto['metka'] == 0 || $foto['id_user'] == $user['id'])) // Метка 18+ 
{if (isset($user)){
echo "<div class=\"nav1\">\n";
echo "<img src='/style/icons/fav.gif' alt='*' /> ";
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `mark_foto` WHERE `id_user` = '" . $user['id'] . "' AND `id_foto` = '" . $foto['id'] . "' LIMIT 1"),0)==0)
echo "<a href='/foto/$ank[id]/$gallery[id]/$foto[id]/?fav=1&amp;page=$pageEnd'>Добавить в закладки</a><br />\n";
else
echo "<a href='/foto/$ank[id]/$gallery[id]/$foto[id]/?fav=0&amp;page=$pageEnd'>Удалить из закладок</a><br />\n";echo 'В закладках у ('. mysql_result(mysql_query("SELECT COUNT(*) FROM `mark_foto` WHERE `id_user` = '" . $user['id'] . "' AND `id_foto` = '" . $foto['id'] . "' LIMIT 1"),0) . ') чел.';
echo "</div>";
}echo "<div class=\"main\">\n";
echo "Тип: <b>".$foto['ras']."</b>, ".$w."x".$h." <br />";if ($foto['opis']!=null)
echo esc(trim(br(bbcode(smiles(links(stripcslashes(htmlspecialchars($foto['opis']))))))))."<br />\n";echo "<img src='/style/icons/d.gif' alt='*'> <a href='/foto/foto0/$foto[id].$foto[ras]' title='Скачать оригинал'>";
echo "Скачать";
echo " (".size_file(filesize(H.'sys/gallery/foto/'.$foto['id'].'.jpg')).")";
echo "</a><br />\n";
echo "</div>";if (user_access('foto_foto_edit') && $ank['level']<$user['level'] || isset($user) && $ank['id']==$user['id'])
include 'inc/gallery_show_foto_form.php';}
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery_komm` WHERE `id_foto` = '$foto[id]'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];echo "<div class='foot'>";
echo "Комментарии:\n";
echo '</div>';
if ($k_post==0)
{
echo "<div class='mess'>";
echo "Нет сообщений\n";
echo '</div>';
}else{
/*------------сортировка по времени--------------*/
if (isset($user)){
echo "<div id='comments' class='menus'>";
echo "<div class='webmenu'>";
echo "<a href='?page=$page&amp;sort=1' class='".($user['sort']==1?'activ':'')."'>Внизу</a>";
echo "</div>"; 
echo "<div class='webmenu'>";
echo "<a href='?page=$page&amp;sort=0' class='".($user['sort']==0?'activ':'')."'>Вверху</a>";
echo "</div>"; 
echo "</div>";
}
/*---------------alex-borisi---------------------*/
}
$q=mysql_query("SELECT * FROM `gallery_komm` WHERE `id_foto` = '$foto[id]' ORDER BY `id` $sort LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_assoc($q))
{
$ank2=mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = '$post[id_user]' LIMIT 1"));
/*-----------зебра-----------*/ 
if ($num==0){
echo '<div class="nav1">';
$num=1;
}
elseif ($num==1){
echo '<div class="nav2">';
$num=0;}
/*---------------------------*/echo " ".group($ank2['id'])." <a href='/id$ank2[id]'>$ank2[nick]</a> \n";
if (isset($user) && $user['id'] != $ank2['id'])echo " <a href='?response=$ank2[id]&amp;page=$page'>[*]</a> \n";
echo "".medal($ank2['id'])." ".online($ank2['id'])." (".vremja($post['time']).")<br />";$postBan = mysql_result(mysql_query("SELECT COUNT(*) FROM `ban` WHERE (`razdel` = 'all' OR `razdel` = 'foto') AND `post` = '1' AND `id_user` = '$ank2[id]' AND (`time` > '$time' OR `navsegda` = '1')"), 0);
if ($postBan == 0) // Блок сообщения
{
echo output_text($post['msg']);
}else{
	echo output_text($banMess).'<br />';
}if (isset($user))
{
echo "<div style='float:right;'>";
if ($ank2['id']!=$user['id'])
echo "<a href=\"?spam=$post[id]&amp;page=$page\"><img src='/style/icons/blicon.gif' alt='*' title='Это спам'></a> "; if (user_access('foto_komm_del') || $ank['id'] == $user['id']) 
echo "<a href='?delete=$post[id]&amp;page=$page' title='Удалить комментарий'><img src='/style/icons/delete.gif' alt='*'></a>";
echo "</div>";
}
echo "</div>";
}if ($k_page>1)str('?',$k_page,$page); // Вывод страниц
if (isset($user))
{echo "<form method='post' name='message' action='?page=$pageEnd&amp;".$go_otv."'>\n";
if (is_file(H.'style/themes/'.$set['set_them'].'/altername_post_form.php'))
include_once H.'style/themes/'.$set['set_them'].'/altername_post_form.php';

echo "<input value=\"Отправить\" type=\"submit\" />\n";
echo "</form>\n";}echo "<div class=\"foot\">\n";
echo "<img src='/style/icons/str2.gif' alt='*'> <a href='/id$ank[id]'>$ank[nick]</a> | \n";
echo "<a href='/foto/$ank[id]/'>Альбомы</a> | \n";
echo "<a href='/foto/$ank[id]/$gallery[id]/'>".htmlspecialchars($gallery['name'])."</a> | \n";
echo '<b>'.htmlspecialchars($foto['name']).'</b>';
echo "</div>\n";
include_once '../sys/inc/tfoot.php';
exit;
?>